CRYPTO_HASH_SETKEY(9)

NAME
crypto_hash_setkey - set key for message digest

SYNOPSIS

int crypto_hash_setkey(struct crypto_hash * hash, const u8 * key, unsigned int keylen);

ARGUMENTS

hash
    cipher handle

key
    buffer holding the key

keylen
    length of the key in bytes

DESCRIPTION

The caller provided key is set for the message digest cipher. The cipher handle must point to a keyed hash in order for this function to succeed.

RETURN

0 if the setting of the key was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT